package farm.example;

/**
 * 
 * @author yupong@gmail.com
 */
public class Cat {
	private String name = new String();
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	protected Object clone() throws CloneNotSupportedException {
		Cat ret = new Cat();
		ret.setName(getName());
		return ret;
	}

	@Override
	public boolean equals(Object obj) {
		if(obj instanceof Cat) {
			return getName().equals(((Cat)obj).getName());
		}
		return false;
	}
	
}
